
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>yield在WCF中的错误使用——99%的开发人员都有可能犯的错误[上篇] / iVAN</title>

    <meta name="description" content="yield在WCF中的错误使用——99%的开发人员都有可能犯的错误[上篇] 在定义API的时候,对于一些返回集合对象的方法,很多人喜欢将返回类型定义成IEnumerable&lt;T&gt;,这本没有什么问题.这里要说的是另一个问题:对于返回类型为IEnumerable&lt;T&gt;的方法来说,我们可以使用yield return的方式来输出返回集合的元素.但是如果我们不了解yield 关键字背后的实现机制,很有可能造成很大的问题. 这是一个WCF相关的问题,我想99%的人都有可能会犯这样的错误--即使你对yield了解得非常透彻.闲话少说,我们通过一个简单的实例来 ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">yield在WCF中的错误使用——99%的开发人员都有可能犯的错误[上篇]</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>在定义API的时候，对于一些返回集合对象的方法，很多人喜欢将返回类型定义成IEnumerable&lt;T&gt;，这本没有什么问题。这里要说的是另一个问题：对于返回类型为IEnumerable&lt;T&gt;的方法来说，我们可以使用yield<br />
 return的方式来输出返回集合的元素。但是如果我们不了解yield 关键字背后的实现机制，很有可能造成很大的问题。</p>
<p>这是一个WCF相关的问题，我想99%的人都有可能会犯这样的错误——即使你对yield了解得非常透彻。闲话少说，我们通过一个简单的实例来说明这个问题。我们定义了如下一个IDemoService接口作为服务契约，唯一的方法GetItems返回一个类型为IEnumerable&lt;string&gt;对象，并且具有唯一字符串参数category。</p>
<pre>   1:  [ServiceContract]</pre>
<pre>   2:  public interface IDemoService</pre>
<pre>   3:  {</pre>
<pre>   4:      [OperationContract]</pre>
<pre>   5:      IEnumerable&lt;string&gt; GetItems(string category);</pre>
<pre>   6:  }</pre>
<p>下面是实现了该契约接口的DemoService的实现：GetItems方法返回一个包含3个字符串的集合，但是在返回之前我们需要对参数实施验证。如果category参数提供的字符串为Null或者是空字符串，抛出一个FaultException异常并提示“Invalid<br />
 Category”，这样客户端在输入不合法参数的情况下可以得到错误消息。<strong>这样的编程方式再正常不过了，不是吗？</strong></p>
<pre>public class DemoService : IDemoService
{
    public IEnumerable&lt;string&gt; GetItems(string categoty)
    {
        if (string.IsNullOrEmpty(categoty))
        {
            throw new FaultException("Invalid category");
        }
        <strong>yield return "Foo";</strong>
       <strong> yield return "Bar";</strong>
        <strong>yield</strong> <strong>return</strong> "Baz";
    }
}</pre>
<p>可是正常并不意味着正确，客户端其实根本无法得到服务端提供给它的错误消息，如下所示的是客户端调用服务时指定一个空字符串参数情况下得到的错误。一个CommunicationException异常被抛出来，得到的错误消息为“An<br />
 error occurred while receiving the HTTP response to <a href="http://127.0.0.1:3721/demoservice" rel="external nofollow noreferrer">http://127.0.0.1:3721/demoservice</a>.<br />
 This could be due to the service endpoint binding not using the HTTP<br />
protocol. This could also be due to an HTTP request context being<br />
aborted by the server (possibly due to the service shutting down). See<br />
server logs for more details.”</p>
<p><a href="http://images.cnitblog.com/blog/19327/201304/12205532-63f973439ebc4eeaa000e995de65aeae.png" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzLmNuaXRibG9nLmNvbS9ibG9nLzE5MzI3LzIwMTMwNC8xMjIwNTUzMy0yMTM1ODI4ZDM0NmU0ZTM3YjhlNzhjN2Y4ZjlkMmZlYy5wbmc=.jpg"></a></p>
<p>这貌似和我们预期的效果不一样，我们希望的是客户端抛出一个FaultException，并提示“Invalid<br />
category”。这实际上就是因为“yield”在作祟，不相信的话可以将定义在DemoService的GetItems方法替换成如下的定义，即直接返回一个<strong>string[]</strong>对像。</p>
<pre>public class DemoService : IDemoService
{
    public IEnumerable&lt;string&gt; GetItems(string categoty)
    {
        if (string.IsNullOrEmpty(categoty))
        {
            throw new FaultException("Invalid category");
        }
        return new  { "Foo", "Bar", "Baz" };
    }
}</pre>
<p>再次运行我们的程序，这回可以得到我们期望的结果了。</p>
<p><a href="http://images.cnitblog.com/blog/19327/201304/12205534-864fd84521a747fda99eaa42530b7ce3.png" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzLmNuaXRibG9nLmNvbS9ibG9nLzE5MzI3LzIwMTMwNC8xMjIwNTUzNC1iYTA0MGVjOWMyMGM0ODU0YTM5ZDY5NDU4MjM3Yzk5YS5wbmc=.jpg"></a></p>
<p>有兴趣的朋友可以思考一下为什么两种貌似等效的方式为何会出现完全不同的结果，具体原因请看<a href="http://www.cnblogs.com/artech/archive/2013/04/14/yield-in-wcf-02.html" rel="external nofollow noreferrer">[下篇]</a>。</p>
<p><a href="http://www.cnblogs.com/artech/archive/2013/04/12/yield-in-wcf.html" rel="external nofollow noreferrer">yield在WCF中的错误使用——99%的开发人员都有可能犯的错误[上篇]</a></p>
<p><a href="http://www.cnblogs.com/artech/archive/2013/04/14/yield-in-wcf-02.html" rel="external nofollow noreferrer">yield在WCF中的错误使用——99%的开发人员都有可能犯的错误[下篇]</a></p>
<p>作者：蒋金楠 <br />
微信公众账号：大内老A<br />
微博：<a href="http://www.weibo.com/artech" rel="external nofollow noreferrer">www.weibo.com/artech</a><br />
如果你想及时得到个人撰写文章以及著作的消息推送，或者想看看个人推荐的技术资料，可以扫描左边二维码（或者长按识别二维码）关注个人公众号（原来公众帐号蒋金楠的自媒体将会停用）。<br />
本文版权归作者和博客园共有，欢迎转载，但未经作者同意必须保留此段声明，且在文章页面明显位置给出原文连接，否则保留追究法律责任的权利。</p>
<p><a href="http://www.cnblogs.com/artech/archive/2013/04/12/yield-in-wcf.html" rel="external nofollow noreferrer">原文链接</a></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-29 00:09:24</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/http/" title="http">http</a>, <a href="https://www.iamivan.net/tag/string/" title="string">string</a>, <a href="https://www.iamivan.net/tag/service/" title="service">service</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>yield在WCF中的错误使用——99%的开发人员都有可能犯的错误[上篇]的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/LzJwn8b.html" rel="bookmark">（译）开发人员经常犯的8个设计错误</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				设计师在抱怨开发人员不尊重Web标准,后台开发人员在抱怨为什么不可以增加一个空格.PM在抱怨为什么项目总是因为那些看似简单的问题而延期--如何才能提高后台开发人员与设计师以及前端开发工程师的合作效率?相信很多网站或软件开发公司都越到类似的问题. 从UED的角度而言,我们的天职是追求用户体验.我们应该尽力坚持自己应该坚持的东西.白鸦曾经说过,用户体验不只是UED的事情,而是整个开发团队乃至整个公司需要参与的事情. 我们不能只是抱怨,我们去理解开发人员.同样,我们做出努力,让开发人员去理解我们. 我			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zem8jOz.html" rel="bookmark">Access 开发人员常犯错误大全&lowbar;ASP基础</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				错误一:陷入界面设计陷阱.漂亮的姑娘喜欢穿美丽的衣服,丑姑娘也喜欢美丽的衣服,可ACCESS除了提供定制菜单与开关面版之外,不提供任何定制控键的功能.你如果想使用自己的按扭,得编写许多许多代码,非常麻烦.为什么,为什么你们总放着现成的菜单不用,而要自己编写一整界面.累不累.值得吗,有没有人愿意为你的界面支付更多钱.     错误二:不使用DAO,而使用ADO.请记住DAO是世界上访问mdb文件有最高效率的数据库引擎,因为DAO直接内嵌在ACCESS运行环境中.在ACCESS中使用ADO如同打电话			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bEEldnb.html" rel="bookmark">Access 开发人员常犯错误大全</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				错误一:陷入界面设计陷阱.漂亮的姑娘喜欢穿美丽的衣服,丑姑娘也喜欢美丽的衣服,可ACCESS除了提供定制菜单与开关面版之外,不提供任何定制控键的功能.你如果想使用自己的按扭,得编写许多许多代码,非常麻烦.为什么,为什么你们总放着现成的菜单不用,而要自己编写一整界面.累不累.值得吗,有没有人愿意为你的界面支付更多钱. 错误二:不使用DAO,而使用ADO.请记住DAO是世界上访问mdb文件有最高效率的数据库引擎,因为DAO直接内嵌在ACCESS运行环境中.在ACCESS中使用ADO如同打电话给坐在桌			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pX9l4Kz.html" rel="bookmark">23&period; 产设计人员常犯的错误</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				23.1. 花80%时间开发使用率不到20%的功能 故事一:网站页面有一个处需要每个月改动一次,产品设计人员提出需要在后台增加一个功能,用来设置该功能. 故事二:产品设计人员要求很多控制开关都做在后台,可以开启与禁用很多功能,这些功能一周,甚至一个月都不会用到一次. 我认为有很多功能一个月改动一次,甚至一年才会变动一次,完全没有必要做成动态功能,如果把这些不必要的功能都做成动态的还会影响页面载入速度. 23.2. 伪需求 什么是伪需求?简言之:看似有这种需求,但其实这种需求是经不起使用频次,用户			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bBg489M.html" rel="bookmark">Web应用开发人员最易犯的九个安全错误</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Web应用程序开发是一个很宽泛的话题.本文仅讨论Web应用开发者应当避免的安全错误.这些错误涉及到任何开发者都不应当忽视的基本安全原则. 开发者应当注意哪些基本的安全原则?应当避免哪些安全错误?为回答这些问题,下面的建议可以回答上述问题. 自以为是:开发自己的安全方法 有些开发者错误地认为自己的算法或认证方法更安全:毕竟黑客从未见识过这种方法,所以他们在破解时会更困难.果真如此吗? 答案是否定的.开发者自己开发认证或登录方法是一个错误,因为他会犯一个或一些黑客能够发现的错误.开发者应当依靠现有的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zG3Z73z.html" rel="bookmark">网站开发人员经常最常见的CSS错误</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 CSS代码很容易,但在相同的时间就变得复杂起来,当你写CSS代码,专业,高规模,高的性能水平.如果你是新进入的网站设计与开发,有更多的机会,你被困在CSS中,如果你不留意.下面是一些常见的错误,很多新手Web开发人员经常犯,而他们玩的CSS. • 结合不当CSS网站复位内! 值得注意的是,CSS复位,帮助开发者使网站的所有元素在所有的浏览器,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MrKAyvp.html" rel="bookmark">使用RSA V7&period;5中的UML-to-JPA转换加速JPA开发</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文介绍 Rational Software Architect(RSA)V7.5 中最新的 UML-to-JPA 转换,它允许使用者在 UML 对象模型上进行 JPA 配置和数据模型设计,并能快 速生成带 JPA 注解的 Java 类,可以将开发人员从频繁的重复工作中解放出来 .当在 O/R Mapping 开发过程中因需求变化而带来模型和代码的频繁变化时, 使用 RSA 的 UML-to-JPA 转换工具可以有效的降低项目迭代中的重复工作,同 时也有利于保证对象模型和数据模型的一致性,对于应			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MqA593M.html" rel="bookmark">中的契约-wcf中数据类型契约包括消息契约与错误契约吗？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 wcf中数据类型契约包括消息契约与错误契约吗? 在wcf中数据类型契约包括消息契约与错误契约吗?数据类型契约包括什么契约呢?? 解决方案 方法.复杂类型.枚举等等都可以定义成契约. 解决方案二: 那数据类型契约包括消息契约与错误契约不咯???.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zZRXj5z.html" rel="bookmark">wcf中数据类型的契约包括错误契约与消息契约吗？？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 wcf中数据类型的契约包括错误契约与消息契约吗?? 解决方案 解决方案二:WCF中有数据契约,消息契约和错误契约.不知道你要问什么?参考:http://www.cnblogs.com/Hlia/p/3149893.html解决方案三:查询了一下根据我的理解不包括解决方案四:数据契约是数据契约,在soap的内容部分传递,消息契约是消息契约,在soap的头信息部分传递至于错误契约,从没听过,只有一个可以被传到到客户端的异常FaultException及它的泛型类型异常FaultExcept			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/0zGAneM.html" rel="bookmark" class="title">教你5步排除无线路由器故障</a>
					<div>
						在使用无线网络时,会遇到周期性的掉线问题,对于这种经常出现的掉线问题,我们应该如何解决呢? 一.首先要考虑的是笔记本这方面的问题,有可能是由于无线网卡的兼容性或者是驱动问题引起网络链接出错,我们要确认 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xpnGaZz.html" rel="bookmark" class="title">浅析搜索引擎的分析系统来做好网站优化</a>
					<div>
						目前主流的搜索引擎按照其功能大致可以分为可划分为下载.分析.索引.查询4大系统.其中分析系统在搜索引擎的架构中主要承担了网页结构化.网页消重.文本分词及网页重要性的计算(例如谷歌的PR)这四项基本任务 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M62Q4gM.html" rel="bookmark" class="title">解读设计模式----工厂方法模式&lpar;FactoryMethod Pattern&rpar;</a>
					<div>
						概述: Factory Method模式是应用最为广泛的设计模式,毕竟他负责了一系列对象的创建,而对象的创建正是面向对象编程中最为繁琐的行为.GOF在&lt;设计模式&gt;一书写到,&quot;Fa ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5Aj4qp.html" rel="bookmark" class="title">如何让Word文档内容自动滚动</a>
					<div>
						  1.打开Word文档,点击工具栏上方的&quot;Office按钮&quot;,接着点击进入&quot;Word选项&quot;. 2.在Word选项的左侧列表里选择&quot;自定义&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1EljaM.html" rel="bookmark" class="title">PS打造照片转海报效果</a>
					<div>
						最终效果 工具/原料 计算机 photoshop软件 素材 步骤/方法 一.打开一张需要转成海报效果的照片素材,执行CTRL+ALT+~调出高光选区,再执行反选,并执行CTRL+J复制选区内容,把复制 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZdmrBM.html" rel="bookmark" class="title">如何安装IE11？</a>
					<div>
						  前段时间,微软已经为Win7系统发布了IE 11浏览器预览版,相信不少浏览器控都尝鲜过IE 11浏览器了.不过很多用户反映在IE 11安装过程中总会出现这样或那样的错误现象,本文以图文形式详解微软 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKkENEb.html" rel="bookmark" class="title">恢复U筋文件的三个步骤</a>
					<div>
						1.使用自动化恢复软件   恢复软件(如Finaldata或EasyRecovery等)使用很简单,根据向导的指示操作就可以了.   2.手工恢复被删除数据   手工恢复的原理是直接在存储设备上寻找被 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlBDx8z.html" rel="bookmark" class="title">hiberfil&period;sys是什么？</a>
					<div>
						  在系统区根目录下会有一个hiberfil.sys文件,hiberfil.sys文件的大小和内存容量一样,这是系统的休眠功能所占用的硬盘空间的文件(Windows 默认休眠功能是处于打开状态的),当 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8Z57Pb.html" rel="bookmark" class="title">U盘启动相关的基础知识</a>
					<div>
						  在设置U盘启动过程中我们会遇到很多相关的术语,下面介绍几个常见的: BIOS(Basic Input/Output System) 基本输入输出系统,全称是ROM-BIOS,是只读存储器基本输入/ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKkBY7b.html" rel="bookmark" class="title">怎样修改Win8系统搜索设置</a>
					<div>
						Windows 8系统上自带的搜索功能很强大,不过如果只懂得简单地使用是不够的,还需要了解一些深层次的东西.比如清除搜索记录.禁用网络搜索等,这些项目都包含在搜索设置中.具体该怎么操作呢? 更改搜索设 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7YdQaM.html" rel="bookmark" class="title">div滚动条</a>
					<div>
						一般滚动条都是根据高度或者宽度来判断滚动 Y滚动条 Java代码   &lt;div id=&quot;wrap&quot; style=&quot;width:1076px; height:460p ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRqxLGb.html" rel="bookmark" class="title">大神求助，win8下搭建ISS&plus;php&plus;mysql怎么弄</a>
					<div>
						问题描述 大神求助,win8下搭建ISS+php+mysql怎么弄 紧急求助,我是按别人的步骤来的,结果不行,iss已经弄好了,php测试的时候不行了 解决方案 查看一下数据库链接配置是否有问题 解决 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9YKYKM.html" rel="bookmark" class="title">微软任命陈实为大中华区副总裁&lpar;图&rpar;</a>
					<div>
						陈实 4月25日下午消息,微软今天宣布陈实(David Chen) 将于2011年5月加入微软,领导大中华区法律及公司事务部(LCA),负责统管大中华区政府事务.社区事务以及所有相关法律事务. 在加入 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW2QYjb.html" rel="bookmark" class="title">新开发的一款项目报备系统，希望大家可以提提意见</a>
					<div>
						问题描述 开发的系统功能简介:项目报备申请通过登录人员发起申请,并由相关人员进行审批,实现项目质量的管.项目跟踪,即时更新项目状态,为后期查看提供历史记录.动态图表,以图形化的方式直观显示数据的统计. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnK4Yjz.html" rel="bookmark" class="title">运动控制的程序-这个程序0error 0warning，但是在执行的时候出现&ast;&ast;dlg&period;exe已停止工作</a>
					<div>
						问题描述 这个程序0error 0warning,但是在执行的时候出现**dlg.exe已停止工作 // GT3Dlg.cpp : implementation file // #include &q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQBKvOM.html" rel="bookmark" class="title">wpf 设计时 c&num;-WPF设计时无法找到用户控件类型的问题</a>
					<div>
						问题描述 WPF设计时无法找到用户控件类型的问题 最近用WPF做个东西.写了一个用户控件.在这个用户控件自己的设计时它是正常的.可以显示.但是把它加到窗体里的时候报告说找不到指定类型.命名空间正常引入 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxY6eOp.html" rel="bookmark" class="title">db2的pagesize怎么弄啊</a>
					<div>
						问题描述 db2的pagesize怎么弄啊 在建表空间时涉及pagesize,这个有4,8,16,32可选,是不是越大越好,有什么隐患吗,或者跟性能有关. 解决方案 看看这篇:http://db2co ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKYe67p.html" rel="bookmark" class="title">图片按比例进行缩放js代码</a>
					<div>
						&lt;div id=article&gt;&lt;img height=&quot;800&quot; alt=&quot;&quot; width=&quot;1280&quot; src=&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGZmK6p.html" rel="bookmark" class="title">r1509-瑞萨的R1509（2&period;8寸，240&ast;400）的TFT使用emwin出现问题</a>
					<div>
						问题描述 瑞萨的R1509(2.8寸,240*400)的TFT使用emwin出现问题 我买的控制器是瑞萨1509控制的2.8寸的TFT(240*400),平台为stm32f103RCT6,现在移植的问 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq7yy3z.html" rel="bookmark" class="title">如何用swing做一个报表式的录入窗体</a>
					<div>
						问题描述 如何用swing做一个报表式的录入窗体,而不是一个一个swing控件的堆积,要是一个整体,像在excel模板中录入数据一样 解决方案 解决方案二:jtable~但是如果你想把jtable做成 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mrqkavb.html" rel="bookmark" class="title">浅谈个人站长的网赚之道</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 中华民族五千年文明,道家学说亦是源 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pX071Ap.html" rel="bookmark" class="title">cas-Cas 代理模式是不是一定要走https协议&quest;求大神解答</a>
					<div>
						问题描述 Cas 代理模式是不是一定要走https协议?求大神解答 cas代理模式回调无法获取pgtId 和pgtIou 请问代理模式,cas认证服务与cas代理端是不是都要采用https,才能通过? ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDkK5Kp.html" rel="bookmark" class="title">js类中获取外部函数名的方法与代码&lowbar;js面向对象</a>
					<div>
						比如我们要在一个类中设定一个方法可以根据调入一个方法保存在类变量中,等需要的时候可以通过访问类变量来得到. 通常如果我们生成一个实例 如:var temp=new TopnetTree(); 如果我们 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBkPYkM.html" rel="bookmark" class="title">jsp页面中EL表达式被当成字符串处理不显示值问题的解决方法&lowbar;JSP编程</a>
					<div>
						在自己练手时遇到了EL表达式被当成字符串处理而没有正确解析的现象.当时工程中使用的Javaee5, web.xml &lt;web-app version=&quot;2.5&quot; xmlns= ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdvGo4b.html" rel="bookmark" class="title">中复电讯加快布局京城手机卖场</a>
					<div>
						今年以来,中复电讯手机的零售额以2%的速度逆势增长.中复电讯董事长邰武淳日前在接受记者采访时表示,在同行纷纷关店节省开支时,中复电讯则抓准时机进行店面装修,如今,其古城.岳各庄.大兴.安定门.劲松等分 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmR7waz.html" rel="bookmark" class="title">令人寒心和愤怒的域名服务商-新网</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 我是新网的一名会员客户. 2007 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwyKoWM.html" rel="bookmark" class="title">三星宣布2012年1月产46吋透明液晶面板</a>
					<div>
						近期,三星电子宣布,他们将拓展透明显示屏市场,从2012年1月开始生产46英寸透明http://www.aliyun.com/zixun/aggregation/18597.html&quot;&gt ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9NWxop.html" rel="bookmark" class="title">请教一个java线程的一个小问题，求程序执行流程，打印结果为1000 b&equals;1000</a>
					<div>
						问题描述 public class Test implements Runnable{int b = 100;public synchronized void m1() throws Exceptio ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6Y9dOb.html" rel="bookmark" class="title">《Adobe InDesign CS6中文版经典教程》&mdash;第2课2&period;2节查看课程文档</a>
					<div>
						2.2 查看课程文档Adobe InDesign CS6中文版经典教程开始处理未完成的页面之前,先来看一下其他页面以了解它们的设计情况. Adobe Bridge将处于打开状态,直到关闭它.返回到Ad ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/baqLENb.html" rel="bookmark" class="title">jquery&period;validate利用remote来实现ajax验证范例</a>
					<div>
						jquery.validate可谓是个强大的表单验证插件,当然也完美支持ajax验证,这样可以方便.快速来实现检查用户名等等是否存在.   html/js源码部分: &lt;form action=& ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.026 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
